Bug 462271 - autofs parses /etc/nsswitch.conf incorrectly
autofs parses /etc/nsswitch.conf incorrectly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Ian Kent
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 23:37 EDT by Ian Kent
Modified: 2009-05-18 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-09-14 23:37:42 EDT
+++ This bug was initially created as a clone of Bug #448036 +++

+++ This bug was initially created as a clone of Bug #445880 +++

Description of problem:
When autofs parses /etc/nsswitch.conf, the lexer only recognizes as sources
values which are given in an enumerated list.  This is wrong because the
nsswitch interface is designed to allow for arbitrarily-named modules to be used.

Version-Release number of selected component (if applicable):
5.0.3-11

How reproducible:
Always

Steps to Reproduce:
1. Install nss_db, and add "db" to the list of sources for any item in
/etc/nsswitch.conf, so that nss_db will be used.
2. Restart autofs.
  
Actual results:
syntax error in nsswitch config near [ no opening bracket ]

Expected results:
No error, autofs starts up.

-- Additional comment from jmoyer@redhat.com on 2008-05-09 12:51 EST --
Ian, this has now come up for the second time.  Can we simply ignore sources we
don't support?

-- Additional comment from nalin@redhat.com on 2008-05-09 13:23 EST --
FWIW, that's the behavior I'd prefer.  BTW, I was wrong about the
how-to-reproduce it part: apparently only the "automount:" setting matters.

-- Additional comment from ikent@redhat.com on 2008-05-09 21:05 EST --
(In reply to comment #1)
> Ian, this has now come up for the second time.  Can we simply ignore sources we
> don't support?

Yes, I'm going to have to work a bit harder on this.

The problem being that our yacc parser is written to recognize
a list of known sources. I haven't looked yet but I didn't
generalize it last time so there's probably a reason for that.


-- Additional comment from ikent@redhat.com on 2008-05-09 21:06 EST --
(In reply to comment #2)
> FWIW, that's the behavior I'd prefer.  BTW, I was wrong about the
> how-to-reproduce it part: apparently only the "automount:" setting matters.

Understood.
Yes, the "automount:" entry is the only bit autofs looks at.

-- Additional comment from ikent@redhat.com on 2008-05-12 02:15 EST --
Created an attachment (id=305082)
Patch to ignore nsswitch sources that aren't supported


-- Additional comment from ikent@redhat.com on 2008-05-12 03:06 EST --
Could you please check this to see if the patch functions correctly.
The built packages are available at:
http://koji.fedoraproject.org/packages/autofs/5.0.3/14.



-- Additional comment from fedora-triage-list@redhat.com on 2008-05-14 06:55 EST --
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

-- Additional comment from nalin@redhat.com on 2008-05-14 11:54 EST --
Yes, 5.0.3-14 seems to work correctly.  Thanks!

-- Additional comment from jmoyer@redhat.com on 2008-05-14 14:38 EST --
sounds like a regression test is in order.

-- Additional comment from ikent@redhat.com on 2008-05-22 22:58 EST --
(In reply to comment #8)
> Yes, 5.0.3-14 seems to work correctly.  Thanks!

Oh boy, I missed this.
Thanks nalin, I'll merge this upstream and push it out to
F-9.

-- Additional comment from ikent@redhat.com on 2008-05-22 22:59 EST --
(In reply to comment #9)
> sounds like a regression test is in order.

Yep, and a RHEL bug to go with it.

Ian

--- Additional comment from pm-rhel@redhat.com on 2008-06-02 15:57:27 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 1 RHEL Product and Program Management 2008-09-24 16:25:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-05-18 16:30:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1010.html

Note You need to log in before you can comment on or make changes to this bug.